import discord
from config import WELCOME_BACK_CHANNEL_ID

class PresenceHandler:
    def __init__(self, bot):
        self.bot = bot
        
    async def handle_presence_update(self, before, after):
        """Handle user presence updates"""
        if after.id == 627566973869359104:
            old_status = self.bot.last_status.get(after.id, discord.Status.offline)
            self.bot.last_status[after.id] = after.status
            
            if old_status == discord.Status.offline and after.status == discord.Status.online:
                channel = self.bot.get_channel(WELCOME_BACK_CHANNEL_ID)
                if channel:
                    # Commented out for now as in original code
                    # await channel.send(f"[BOT] Welcome back, {after.mention}!", silent=True)
                    pass